package com.hfkj.dao;

import com.hfkj.entity.EnTransportCompanyCar;
import com.hfkj.entity.EnTransportCompanyCarExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface EnTransportCompanyCarMapper extends EnTransportCompanyCarMapperExt {
    @SelectProvider(type=EnTransportCompanyCarSqlProvider.class, method="countByExample")
    long countByExample(EnTransportCompanyCarExample example);

    @DeleteProvider(type=EnTransportCompanyCarSqlProvider.class, method="deleteByExample")
    int deleteByExample(EnTransportCompanyCarExample example);

    @Delete({
        "delete from en_transport_company_car",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into en_transport_company_car (transport_id, car_no, ",
        "car_type, credentials_img, ",
        "person, contact_info, ",
        "oil_tank_capacity, `status`, ",
        "create_user, create_user_name, ",
        "create_time, update_user, ",
        "update_user_name, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{transportId,jdbcType=BIGINT}, #{carNo,jdbcType=VARCHAR}, ",
        "#{carType,jdbcType=INTEGER}, #{credentialsImg,jdbcType=VARCHAR}, ",
        "#{person,jdbcType=VARCHAR}, #{contactInfo,jdbcType=VARCHAR}, ",
        "#{oilTankCapacity,jdbcType=DECIMAL}, #{status,jdbcType=INTEGER}, ",
        "#{createUser,jdbcType=BIGINT}, #{createUserName,jdbcType=VARCHAR}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateUser,jdbcType=BIGINT}, ",
        "#{updateUserName,jdbcType=VARCHAR}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(EnTransportCompanyCar record);

    @InsertProvider(type=EnTransportCompanyCarSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(EnTransportCompanyCar record);

    @SelectProvider(type=EnTransportCompanyCarSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="transport_id", property="transportId", jdbcType=JdbcType.BIGINT),
        @Result(column="car_no", property="carNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="car_type", property="carType", jdbcType=JdbcType.INTEGER),
        @Result(column="credentials_img", property="credentialsImg", jdbcType=JdbcType.VARCHAR),
        @Result(column="person", property="person", jdbcType=JdbcType.VARCHAR),
        @Result(column="contact_info", property="contactInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_tank_capacity", property="oilTankCapacity", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_user", property="createUser", jdbcType=JdbcType.BIGINT),
        @Result(column="create_user_name", property="createUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_user", property="updateUser", jdbcType=JdbcType.BIGINT),
        @Result(column="update_user_name", property="updateUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<EnTransportCompanyCar> selectByExample(EnTransportCompanyCarExample example);

    @Select({
        "select",
        "id, transport_id, car_no, car_type, credentials_img, person, contact_info, oil_tank_capacity, ",
        "`status`, create_user, create_user_name, create_time, update_user, update_user_name, ",
        "update_time, ext_1, ext_2, ext_3",
        "from en_transport_company_car",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="transport_id", property="transportId", jdbcType=JdbcType.BIGINT),
        @Result(column="car_no", property="carNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="car_type", property="carType", jdbcType=JdbcType.INTEGER),
        @Result(column="credentials_img", property="credentialsImg", jdbcType=JdbcType.VARCHAR),
        @Result(column="person", property="person", jdbcType=JdbcType.VARCHAR),
        @Result(column="contact_info", property="contactInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_tank_capacity", property="oilTankCapacity", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_user", property="createUser", jdbcType=JdbcType.BIGINT),
        @Result(column="create_user_name", property="createUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_user", property="updateUser", jdbcType=JdbcType.BIGINT),
        @Result(column="update_user_name", property="updateUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    EnTransportCompanyCar selectByPrimaryKey(Long id);

    @UpdateProvider(type=EnTransportCompanyCarSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") EnTransportCompanyCar record, @Param("example") EnTransportCompanyCarExample example);

    @UpdateProvider(type=EnTransportCompanyCarSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") EnTransportCompanyCar record, @Param("example") EnTransportCompanyCarExample example);

    @UpdateProvider(type=EnTransportCompanyCarSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(EnTransportCompanyCar record);

    @Update({
        "update en_transport_company_car",
        "set transport_id = #{transportId,jdbcType=BIGINT},",
          "car_no = #{carNo,jdbcType=VARCHAR},",
          "car_type = #{carType,jdbcType=INTEGER},",
          "credentials_img = #{credentialsImg,jdbcType=VARCHAR},",
          "person = #{person,jdbcType=VARCHAR},",
          "contact_info = #{contactInfo,jdbcType=VARCHAR},",
          "oil_tank_capacity = #{oilTankCapacity,jdbcType=DECIMAL},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_user = #{createUser,jdbcType=BIGINT},",
          "create_user_name = #{createUserName,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_user = #{updateUser,jdbcType=BIGINT},",
          "update_user_name = #{updateUserName,jdbcType=VARCHAR},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(EnTransportCompanyCar record);
}