package com.hfkj.service.item;

import com.hfkj.entity.EnItem;

import java.util.List;
import java.util.Map;

public interface EnItemService {

    /**
     * @Author Sum1Dream
     * @Name create
     * @Description // 创建
     * @Date 15:12 2024/4/19
     * @Param GoodsBrand
     * @return void
     */
    void create(EnItem enItem)  throws Exception ;

    /**
     * @Author Sum1Dream
     * @Name update
     * @Description // 修改
     * @Date 15:12 2024/4/19
     * @Param GoodsBrand
     * @return void
     */
    void update(EnItem enItem);

    /**
     * @Author Sum1Dream
     * @Name delete
     * @Description // 删除
     * @Date 15:12 2024/4/19
     * @Param id
     * @return void
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @Author Sum1Dream
     * @Name queryDetail
     * @Description // 查询详情
     * @Date 15:12 2024/4/19
     * @Param id
     * @return com.hfkj.entity.GoodsBrand
     */
    EnItem queryDetail(Long id);

    /**
     * @Author Sum1Dream
     * @Name queryDetailByMap
     * @Description // 根据多条件查询详情
     * @Date 15:12 2024/4/19
     * @Param map
     * @return com.hfkj.entity.GoodsBrand
     */
    EnItem queryDetailByMap(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name getList
     * @Description // 查询列表
     * @Date 15:12 2024/4/19
     * @Param map
     * @return java.util.List<com.hfkj.entity.GoodsBrand>
     */
    List<EnItem> getList(Map<String , Object> map);

}
