package com.hfkj.service.item;

import com.hfkj.entity.EnServiceCompanyDevice;

import java.util.List;
import java.util.Map;

public interface EnServiceCompanyDeviceService {

    /**
     * @MethodName create
     * @Description:创建
     * @param enServiceCompanyDevice
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    void create(EnServiceCompanyDevice enServiceCompanyDevice);

    /**
     * @MethodName update
     * @Description:修改
     * @param enServiceCompanyDevice
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    void update(EnServiceCompanyDevice enServiceCompanyDevice);

    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.EnServiceCompanyDevice
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    EnServiceCompanyDevice queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description:根据多条件查询详情
     * @param map
     * @return: com.hfkj.entity.EnServiceCompanyDevice
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    EnServiceCompanyDevice queryDetailByMap(Map<String , Object> map);

    /**
     * @MethodName getList
     * @Description:查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnServiceCompanyDevice>
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午4:38
     */
    List<EnServiceCompanyDevice> getList(Map<String , Object> map);

}
