package com.hfkj.service.item;

import com.hfkj.entity.EnTransportCompany;

import java.util.List;
import java.util.Map;

public interface EnTransportCompanyService {

    /**
     * @MethodName create
     * @Description:新增
     * @param enTransportCompany
     * @Author: Sum1Dream
     * @Date: 2025/7/10 下午5:17
     */
    void create(EnTransportCompany enTransportCompany) throws Exception;

    /**
     * @MethodName update
     * @Description:修改
     * @param enTransportCompany
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    void update(EnTransportCompany enTransportCompany);

    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.EnTransportCompany
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    EnTransportCompany queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description:根据多条件查询详情
     * @param map
     * @return: com.hfkj.entity.EnTransportCompany
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    EnTransportCompany queryDetailByMap(Map<String , Object> map);


    /**
     * @MethodName getList
     * @Description:查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnTransportCompany>
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午5:41
     */
    List<EnTransportCompany> getList(Map<String , Object> map);


}
