package com.hfkj.service.item.impl;

import com.hfkj.dao.EnServiceCompanyDeviceMapper;
import com.hfkj.entity.EnItemSegments;
import com.hfkj.entity.EnServiceCompanyDevice;
import com.hfkj.entity.EnServiceCompanyDeviceExample;
import com.hfkj.service.item.EnServiceCompanyDeviceService;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service("enServiceCompanyDeviceService")
public class EnServiceCompanyDeviceServiceImpl implements EnServiceCompanyDeviceService {

    @Resource
    private EnServiceCompanyDeviceMapper enServiceCompanyDeviceMapper;

    @Override
    public void create(EnServiceCompanyDevice enServiceCompanyDevice) {
        enServiceCompanyDeviceMapper.insert(enServiceCompanyDevice);
    }

    @Override
    public void update(EnServiceCompanyDevice enServiceCompanyDevice) {
        enServiceCompanyDeviceMapper.updateByPrimaryKey(enServiceCompanyDevice);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        if (fullDelete) {
            enServiceCompanyDeviceMapper.deleteByPrimaryKey(id);
        } else {
            EnServiceCompanyDevice enServiceCompanyDevice = queryDetail(id);
            enServiceCompanyDevice.setStatus(0);
            enServiceCompanyDevice.setUpdateTime(new Date());
            update(enServiceCompanyDevice);
        }
    }

    @Override
    public EnServiceCompanyDevice queryDetail(Long id) {
        return enServiceCompanyDeviceMapper.selectByPrimaryKey(id);
    }

    @Override
    public EnServiceCompanyDevice queryDetailByMap(Map<String, Object> map) {
        EnServiceCompanyDeviceExample example = new EnServiceCompanyDeviceExample();
        EnServiceCompanyDeviceExample.Criteria criteria = example.createCriteria();

        if (MapUtils.getLong(map, "companyId") != null) {
            criteria.andCompanyIdEqualTo(MapUtils.getLong(map, "companyId"));
        }
        if (StringUtils.isNotBlank(MapUtils.getString(map, "deviceNo"))) {
            criteria.andDeviceNoLike("%"+MapUtils.getString(map, "deviceNo")+"%");
        }

        if (MapUtils.getInteger(map, "deviceType") != null) {
            criteria.andDeviceTypeEqualTo(MapUtils.getInteger(map, "deviceType"));
        }
        if (MapUtils.getLong(map, "createUser") != null) {
            criteria.andCreateUserEqualTo(MapUtils.getLong(map, "createUser"));
        }
        if (MapUtils.getInteger(map, "status") != null) {
            criteria.andStatusEqualTo(MapUtils.getInteger(map, "status"));
        }else {
            criteria.andStatusNotEqualTo(0);
        }
        if (MapUtils.getLong(map , "id") != null) {
            criteria.andIdEqualTo(MapUtils.getLong(map , "id"));
        }
        List<EnServiceCompanyDevice> list = enServiceCompanyDeviceMapper.selectByExample(example);

        return list.isEmpty()?null:list.get(0);
    }

    @Override
    public List<EnServiceCompanyDevice> getList(Map<String, Object> map) {
        EnServiceCompanyDeviceExample example = new EnServiceCompanyDeviceExample();
        EnServiceCompanyDeviceExample.Criteria criteria = example.createCriteria();

        if (MapUtils.getLong(map, "companyId") != null) {
            criteria.andCompanyIdEqualTo(MapUtils.getLong(map, "companyId"));
        }
        if (StringUtils.isNotBlank(MapUtils.getString(map, "deviceNo"))) {
            criteria.andDeviceNoLike("%"+MapUtils.getString(map, "deviceNo")+"%");
        }

        if (MapUtils.getInteger(map, "deviceType") != null) {
            criteria.andDeviceTypeEqualTo(MapUtils.getInteger(map, "deviceType"));
        }
        if (MapUtils.getLong(map, "createUser") != null) {
            criteria.andCreateUserEqualTo(MapUtils.getLong(map, "createUser"));
        }
        if (MapUtils.getInteger(map, "status") != null) {
            criteria.andStatusEqualTo(MapUtils.getInteger(map, "status"));
        }else {
            criteria.andStatusNotEqualTo(0);
        }
        if (MapUtils.getLong(map , "id") != null) {
            criteria.andIdEqualTo(MapUtils.getLong(map , "id"));
        }
        return enServiceCompanyDeviceMapper.selectByExample(example)                                       ;
    }
}
